Subject: Re: [PATCH 00/29] Memory leak fixes (pt.2)

From: Patrick Steinhardt <[email-masked]>
Date: Fri, 7 Jun 2024 06:07:01 +0200

On Thu, Jun 06, 2024 at 07:33:34AM -0700, Karthik Nayak wrote:
> Patrick Steinhardt <[email-masked]> writes:
> 
> > Hi,
> >
> > this is another random assortment of memory leak fixes for Git. With
> > these changes, another 77 test suites start to pass with the leak
> > sanitizer enabled. With that, we're down to ~270 test suites that do not
> > yet pass with the sanitizer enabled. My goal is that we can reduce this
> > number to 0 this year -- any help here would be appreciated.
> >
> 
> I was thinking of picking up some here, how do I avoid not clashing in
> with the work that you're doing?

You mean work that hasn't yet been posted to the mailing list? I don't
think there is a perfect answer here. I guess the next-best thing is to
not keep your patch series sitting for an extended amount of time, but
limit the time you are working on it and then send it out early such
that others can see it and ideally refrain from plugging the same leaks.

> > While most of the commits are trivial, I realize that the overall series
> > is quite large. If you think that this is too big, please feel free to
> > speak up up and I'll split this and future series into batches of at
> > most 20 patches or less, if you think that's still too many.
> >
> > The series is built on top of 9eaef5822c (Sync with 'maint', 2024-05-31)
> > with ps/leakfixes at 164937678c (Merge remote-tracking branch
> > 'junio/ps/leakfixes' into HEAD, 2024-06-03) merged into it.
> >
> > Thanks!
> >
> 
> I only have some small typo nits apart from that this was a nice read. Thanks!

Thanks!

Patrick